from anylogiccloudclient.client.cloud_client import CloudClient

sc1 = 4
sc2 = 9
client = CloudClient("e05a6efa-ea5f-4adf-b090-ae0ca7d16c20")
version = client.get_latest_model_version("Service System Demo")

inputs1 = client.create_default_inputs(version)
inputs2 = client.create_default_inputs(version)

inputs1.set_input("Server capacity", sc1)
inputs2.set_input("Server capacity", sc2)

simulation1 = client.create_simulation(inputs1)
simulation2 = client.create_simulation(inputs2)

print("Running two parallel simulations...")
[s.run() for s in [simulation1, simulation2]]
[s.wait_for_completion() for s in [simulation1, simulation2]]

su1 = simulation1.get_outputs().value("Utilization|Server utilization")
su2 = simulation2.get_outputs().value("Utilization|Server utilization")

print("Two parallel simulations completed")
print("With " + str(sc1) + " servers, Server utilization = " + str(su1))
print("With " + str(sc2) + " servers, Server utilization = " + str(su2))

# based on the results, set up the inputs for the third simulation
sc3 = sc2-1 if (su1 + su2) > 0.4 else sc1+1
inputs3 = client.create_default_inputs(version)
inputs3.set_input("Server capacity", sc3)
simulation3 = client.create_simulation(inputs3)
print("Running third simulation with " + str(sc3) + " servers...")
outputs3 = simulation3.get_outputs_and_run_if_absent()

su3 = outputs3.value("Utilization|Server utilization")
print("Third simulation completed")
print("With " + str(sc3) + " servers, Server utilization = " + str(su3))
